Subject: [bug#47943] Weir licensing issue (was [PATCH]: Gnu: Add Weir)

From: Giovanni Biscuolo <[email-masked]>
Date: Mon, 26 Apr 2021 15:24:46 +0200

Hello Licensing Team!

in Guix we are considering adding a new package, Weir, but we need some
clarificartions about it's license.

This is what I found:

Giovanni Biscuolo <[email-masked]> writes:

[...]

> The license file
> https://github.com/inconvergent/weir/blob/master/LICENSE
>
> contains this:
>
> --8<---------------cut here---------------start------------->8---
>
> This code is released under the MIT license(see below). Unless otherwise noted.
>
> Most prominent exceptions are:
>
> 1. Some utilities from On Lisp by Paul Graham (in src/various.lisp). They are
>    bound by this notice:
>
> ---
> This code is copyright 1993 by Paul Graham, but anyone who wants
> to use the code in any nonprofit activity, or distribute free
> verbatim copies (including this notice), is encouraged to do so.
> ---
>
> 2. Some modified code by Victor Anyakin in (in src/auxiliary/dat.lisp):
>
> ---
> Copyright (c) 2013-2018 Victor Anyakin <[email-masked]>
> All rights reserved.
>
> Redistribution and use in source and binary forms, with or without
> modification, are permitted provided that the following conditions are met:
>     * Redistributions of source code must retain the above copyright
>       notice, this list of conditions and the following disclaimer.
>     * Redistributions in binary form must reproduce the above copyright
>       notice, this list of conditions and the following disclaimer in the
>       documentation and/or other materials provided with the distribution.
>     * Neither the name of the organization nor the
>       names of its contributors may be used to endorse or promote products
>       derived from this software without specific prior written permission.
>
> THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
> ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
> WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
> DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDER BE LIABLE FOR ANY
> DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
> (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
> LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
> ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
> (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
> SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
> ---
>
> 3. Some code suggested by @lispm (in src/auxiliary/dat.lisp, src/various.lisp). There
> are links to the original suggestions
>
> --8<---------------cut here---------------end--------------->8---

Can you please clarify how to manage the three different licenses
declared above?

AFAIU:

1. the license is not free since "verbatim copy" is not free

2. is a free software, seems a modified version of the expat
license... or other? Can you clarify please?

3. the code (I read it) suggested by lispm in
https://gist.github.com/inconvergent/8b6ccfbde4fca7844c1962082ef07a7e is
not a trivial patch and no license is included, so it should be
"copyright by default", right?

Thank you for your support!

Best regards, Giovanni.

-- 
Giovanni Biscuolo

Xelera IT Infrastructures